"""
Computer SDK - A Python SDK for facilitating the development of Computer-use AI agents (CUA).

Example:
    >>> from computer import Computer, Image, Display
    >>> computer = Computer(
    ...     image=Image(
    ...         image="macos-sequoia-xcode",
    ...         tag="latest",
    ...         name="macos-sequoia-xcode-py"
    ...     ),
    ...     display=Display(
    ...         width=1920,
    ...         height=1080
    ...     ),
    ...     memory="16GB",
    ...     cpu="4",
    ... )
    >>> computer.run(start_vnc_client=True)
    >>> computer.type("Hello, world!")
    >>> computer.press_key("Enter")
    >>> computer.stop()
"""

from .models import Image, Display
from .computer import Computer

__version__ = "0.1.0"
__all__ = [
    "Computer",
    "Image",
    "Display",
]
