from dataclasses import dataclass
from typing import Optional
from pylume import PyLume

@dataclass
class Display:
    width: int
    height: int

@dataclass
class Image:
    image: str
    tag: str
    name: str

@dataclass
class Computer:
    image: str
    tag: str
    name: str
    display: Display
    memory: str
    cpu: str
    pylume: Optional[PyLume] = None
    
    @property
    def ip(self) -> str:
        """Get the IP address of the VM."""
        vm = self.pylume.get_vm(self.image.name)
        return vm.ip 